Bug 150512 - Rmiregistry broken following upgrade to gcc-4.0.0
Summary: Rmiregistry broken following upgrade to gcc-4.0.0
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-07 21:23 UTC by W. Michael Petullo
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-09 21:31:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description W. Michael Petullo 2005-03-07 21:23:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.6) Gecko/20050225 Firefox/1.0.1

Description of problem:
The rmiregistry script contains the following:

#!/bin/sh

exec /usr/bin/grmiregistry4 ${1+"$@"}

The text grmiregistry4 should be replaced with grmiregistry.

Version-Release number of selected component (if applicable):
gcc-4.0.0-0.31

How reproducible:
Always

Steps to Reproduce:
Try to execute rmiregistry.
  

Additional info:

Comment 1 Jakub Jelinek 2005-03-08 08:37:57 UTC
ls -l /usr/bin/rmiregistry; ls -l /etc/alternatives/rmiregistry; rpm -qf
/usr/lib/jvm/jre-1.4.2-gcj/bin/rmiregistry
lrwxrwxrwx  1 root root 29 Nov  8 23:19 /usr/bin/rmiregistry ->
/etc/alternatives/rmiregistry
lrwxrwxrwx  1 root root 42 Mar  5 16:06 /etc/alternatives/rmiregistry ->
/usr/lib/jvm/jre-1.4.2-gcj/bin/rmiregistry
java-1.4.2-gcj-compat-1.4.2.0-40jpp_7rh


Comment 2 Thomas Fitzsimmons 2005-03-09 18:11:42 UTC
Can you post the output of

/usr/sbin/alternatives --display java

and

/usr/sbin/alternatives --display javac

?

Comment 3 W. Michael Petullo 2005-03-09 21:31:42 UTC
Upgrading to java-1.4.2-gcj-compat fixed this issue.  Thank you.


Note You need to log in before you can comment on or make changes to this bug.